<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgOptimizationFeederMetricsMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.bf.entity.FhzgOptimizationFeederMetrics">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="operationIssueScore" column="operation_issue_score" jdbcType="DECIMAL"/>
            <result property="currentLineLoadRate" column="current_line_load_rate" jdbcType="DECIMAL"/>
            <result property="currentOverlimitSegmentCount" column="current_overlimit_segment_count" jdbcType="INTEGER"/>
            <result property="voltageViolationNodeCount" column="voltage_violation_node_count" jdbcType="INTEGER"/>
            <result property="insufficientTransferCapacityLineCount" column="insufficient_transfer_capacity_line_count" jdbcType="INTEGER"/>
            <result property="lineN1Check" column="line_n1_check" jdbcType="INTEGER"/>
            <result property="reliabilityScore" column="reliability_score" jdbcType="DECIMAL"/>
            <result property="lineStatus" column="line_status" jdbcType="INTEGER"/>
            <result property="outageTransformerCount" column="outage_transformer_count" jdbcType="INTEGER"/>
            <result property="theoreticalReliability" column="theoretical_reliability" jdbcType="DECIMAL"/>
            <result property="affectedLowVoltageUserCount" column="affected_low_voltage_user_count" jdbcType="INTEGER"/>
            <result property="importantSensitiveUserLossCount" column="important_sensitive_user_loss_count" jdbcType="INTEGER"/>
            <result property="networkLossImpactScore" column="network_loss_impact_score" jdbcType="DECIMAL"/>
            <result property="activePowerLoss" column="active_power_loss" jdbcType="DECIMAL"/>
            <result property="lossRate" column="loss_rate" jdbcType="DECIMAL"/>
            <result property="exportPowerFactor" column="export_power_factor" jdbcType="DECIMAL"/>
            <result property="networkStructureIssueScore" column="network_structure_issue_score" jdbcType="DECIMAL"/>
            <result property="lineConnectionType" column="line_connection_type" jdbcType="INTEGER"/>
            <result property="lineContactSwitchCount" column="line_contact_switch_count" jdbcType="INTEGER"/>
            <result property="totalInstalledCapacity" column="total_installed_capacity" jdbcType="DECIMAL"/>
            <result property="lineUserCount" column="line_user_count" jdbcType="INTEGER"/>
            <result property="abnormalLoadGroupCount" column="abnormal_load_group_count" jdbcType="INTEGER"/>
            <result property="loadGroupSegmentCount" column="load_group_segment_count" jdbcType="INTEGER"/>
            <result property="largeBranchCount" column="large_branch_count" jdbcType="INTEGER"/>
            <result property="linePowerSupplyRadius" column="line_power_supply_radius" jdbcType="DECIMAL"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,operation_issue_score,current_line_load_rate,
        current_overlimit_segment_count,voltage_violation_node_count,insufficient_transfer_capacity_line_count,
        line_n1_check,reliability_score,line_status,
        outage_transformer_count,theoretical_reliability,affected_low_voltage_user_count,
        important_sensitive_user_loss_count,network_loss_impact_score,active_power_loss,
        loss_rate,export_power_factor,network_structure_issue_score,
        line_connection_type,line_contact_switch_count,total_installed_capacity,
        line_user_count,abnormal_load_group_count,load_group_segment_count,
        large_branch_count,line_power_supply_radius
    </sql>
</mapper>
